﻿body {
}

.col-3 {
    margin-bottom: 1%;
    flex: 0 0 auto;
    width: 25%;
}
a.app-sidebar-minify-btn.ms-auto.d-flex.align-items-center.text-decoration-none {
    color: white !important;
}
.bg-theam-Color-800 {
    --bs-bg-opacity: 1;
    background-color: rgb(47 79 111) !important;
}

bg-theam-Menu-Color-800 {
    --bs-bg-opacity: 1;
    background-color: rgb(47 79 111) !important;
}
.hide {
    display: none;
}
.app-sidebar .menu .menu-profile {
    padding: 4px 12px 8px 9px;
}
    .SumoSelect {
    width: 100% !important;
}

    .SumoSelect .select-all {
        height: 30px !important;
    }

    .SumoSelect > .CaptionCont > span.placeholder {
        background: #ffffff !important;
        color: #6c757d !important;
        font-style: normal !important;
        font-weight: 600 !important;
    }

    .SumoSelect > .CaptionCont {
        /*border: 1px solid #cdd3d9;*/
        border: 1px solid #d8dce1 !important;
        background-color: #ffff !important;
        /*border-radius: 4px;*/
        display: block;
        width: 100%;
        padding: .4375rem .75rem;
        font-size: .75rem;
        font-weight: 600;
        line-height: 1.5;
        color: var(--bs-component-color);
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        background-color: var(--bs-component-bg);
        background-clip: padding-box;
        border: 1px solid var(--bs-component-border-color);
        border-radius: 4px !important;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

.placeholder {
    opacity: 1;
}

#container {
    height: 400px;
}

.highcharts-figure,
.highcharts-data-table table {
    min-width: 310px;
    max-width: 800px;
    margin: 1em auto;
}

.highcharts-data-table table {
    font-family: Verdana, sans-serif;
    border-collapse: collapse;
    border: 1px solid #ebebeb;
    margin: 10px auto;
    text-align: center;
    width: 100%;
    max-width: 500px;
}

.highcharts-data-table caption {
    padding: 1em 0;
    font-size: 1.2em;
    color: #555;
}

.highcharts-data-table th {
    font-weight: 600;
    padding: 0.5em;
}

.highcharts-data-table td,
.highcharts-data-table th,
.highcharts-data-table caption {
    padding: 0.5em;
}

.highcharts-data-table thead tr,
.highcharts-data-table tr:nth-child(even) {
    background: #f8f8f8;
}

.highcharts-data-table tr:hover {
    background: #f1f7ff;
}

.highcharts-description {
    margin: 0.3rem 10px;
}

.li-style {
    color: darkred;
}

.a-style:hover {
    text-decoration: underline !important;
}


/*
  A stylesheet customizing app (custom renderers)
*/
table.htCore tr.odd td {
    background: #fafbff;
}

.divtable {
    position: relative;
    min-height: 200px;
    max-height: 400px;
    scrollbar-width: thin;
}

.app-loader {
    position: fixed;
    display: flex;
    width: auto;
    height: auto;
    top: -153px;
    left: 73px;
    right: 0;
    bottom: 0%;
    background-color: rgba(0,0,0,0.1);
    z-index: 4;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    opacity: 1;
}
/*.overflow-auto {
    min-height: 100px;
    max-height: 450px;
    overflow: auto;
}*/
/*#handsontable {
    min-height: auto;*/ /* Ensure it grows with the content */
/*max-height: 450px;*/ /* Prevent it from exceeding 450px */
/*overflow: auto;*/ /* Add scrollbars if necessary */
/*}*/
/*
  A stylesheet customizing Handsontable style
*/

.collapsibleIndicator {
    text-align: center;
}

.handsontable .htRight .changeType {
    margin: 3px 1px 0 13px;
}

.handsontable .green {
    background: #37bc6c;
    font-weight: bold;
}

.handsontable .orange {
    background: #fcb515;
    font-weight: bold;
}

/*.swal-modal {
    width: 35%;
}*/

.ht_master .wtHolder {
    scrollbar-width: initial !important;
    overflow: auto;
}

.btn {
    /*padding: 20px;*/
    font: 1em sans-serif;
}

[data-color="green"] {
    background: #37bc6c;
}

[data-color="orange"] {
    background: #fcb515;
}

.select2-container {
    width: 100% !important;
}

.select2.select2-container {
    border-radius: 4px;
}

.fixed-row {
    font-size: 0.75rem;
    background-color: #ffffff !important; /* Light gray or any color */
    font-weight: bold !important; /* Optional: Make text bold */
}

.ht_clone_top {
    font-size: 0.75rem;
    background-color: #ffffff !important; /* Change to your desired color */
    font-weight: bold !important; /* Optional */
}

.handsontableInput {
    background-color: #f0f0f0 !important;
    border: 1px solid lightgray !important;
    box-shadow: none !important;
    font-size: 0.9rem !important; /* Slightly larger font size for input */
    padding: 0.3rem !important; /* Add padding to input fields */
    /*   background-image: url('data:image/svg+xml,%3Csvg xmlns=%22http://www.w3.org/2000/svg%22 fill=%22none%22 viewBox=%220 0 24 24%22 stroke=%22currentColor%22%3E%3Cpath stroke-linecap=%22round%22 stroke-linejoin=%22round%22 stroke-width=%222%22 d=%22M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z%22/%3E%3C/svg%3E');
    background-repeat: no-repeat !important;
    background-position: 10px center !important;
    background-size: 16px !important;
    padding-left: 35px !important;
    font-size: 12px !important;*/
}

.handsontable-search-example .ht_clone_top th .handsontableInput {
    background-image: url('data:image/svg+xml,%3Csvg xmlns=%22http://www.w3.org/2000/svg%22 fill=%22none%22 viewBox=%220 0 24 24%22 stroke=%22currentColor%22%3E%3Cpath stroke-linecap=%22round%22 stroke-linejoin=%22round%22 stroke-width=%222%22 d=%22M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z%22/%3E%3C/svg%3E');
    background-repeat: no-repeat !important;
    background-position: 10px center !important;
    background-size: 16px !important;
    padding-left: 35px !important;
    font-size: 12px !important;
}
.panel.panel-inverse > .panel-heading {
    background-color: var(--bs-theam-nav-bg);
    color: var(--bs-theam-body-color);
}
    input .handsontableInput.form-control {
    line-height: 17px;
    width: 75%;
    border-radius: 4px;
    margin: 0px 1px 4px 3px;
}
.table-active {
    --bs-table-color-state: #dbdbdb !important;
    --bs-table-bg-state: #2f4f6f !important;
}
.handsontable thead th {
    background-color: var(--bs-theam-nav-bg);
    color:var(--bs-theam-body-color);
}
body .dt-container.dt-bootstrap5 table.dataTable thead > tr > td.dt-orderable-asc
.dt-column-order:after, body .dt-container.dt-bootstrap5 table.dataTable thead > tr > td.dt-orderable-desc
.dt-column-order:after, body .dt-container.dt-bootstrap5 table.dataTable thead > tr > th.dt-orderable-asc
.dt-column-order:after, body .dt-container.dt-bootstrap5 table.dataTable thead > tr > th.dt-orderable-desc
.dt-column-order:after {
    border: 0px solid #2f4f6f;
    color: var(--bs-body-table-head-color) !important;
}
    .handsontable {
    /* Styling for td, th, and textareas in Handsontable */
    td, th, textarea

{
    font-size: 0.8rem !important; /* Smaller font size for content */
    line-height: 2rem !important; /* Spacing between lines */
    padding-left: 0.5rem !important; /* Left padding */
    padding-right: 0.5rem !important; /* Right padding */
}

/* Right-aligned text styling for .htRight cells */
.htRight .htAutocompleteArrow {
    padding-left: 0.25rem !important; /* Padding for the autocomplete arrow */
}

.ht_master:not(.innerBorderTop):not(.innerBorderBottom) thead tr.lastChild th,
.ht_master:not(.innerBorderTop):not(.innerBorderBottom) thead tr:last-child th,
.ht_master:not(.innerBorderTop):not(.innerBorderBottom) ~ .handsontable thead tr.lastChild th,
.ht_master:not(.innerBorderTop):not(.innerBorderBottom) ~ .handsontable thead tr:last-child th {
    background: var(--bs-theam-nav-bg);
    color: var(--bs-body-table-head-color) !important;
    border: 1px solid #cccccc;
    border-bottom-width: 0;
}
body .dt-container.dt-bootstrap5 table.dataTable thead > tr > td.dt-orderable-asc:hover, body 
.dt-container.dt-bootstrap5 table.dataTable thead > tr > td.dt-orderable-desc:hover,
body .dt-container.dt-bootstrap5 table.dataTable thead > tr > th.dt-orderable-asc:hover, 
body .dt-container.dt-bootstrap5 table.dataTable thead > tr > th.dt-orderable-desc:hover {
    outline: 1px solid var(--bs-table-border-color) !important;
    outline-offset: 1px !important;
}
.htRight.highlight,
.htRight {
    padding-right: 0.5rem !important; /* Additional padding on the right */
    text-align: right !important; /* Right-align text */
}


/* Styling for autocomplete dropdown */
.htAutocomplete {
    max-height: 200px !important; /* Limit the height of the autocomplete */
    overflow-y: auto !important; /* Make sure the dropdown is scrollable */
}

}

.htDropdownMenu table tbody tr td {
    padding: 0px 0px 0px !important;
}

.handsontable .htUISelectCaption {
    background-color: #f5f9f9 !important;
    border: 1px solid #d2d1d1 !important;
    border-radius: 3px !important;
    font-size: 0.9em !important;
    font-weight: 500 !important;
    padding: 0px 1px 3px 4px !important;
}

.handsontable .htFiltersMenuLabel {
    font-size: .95em !important;
    font-weight: 500 !important;
}

.handsontable .htFiltersMenuCondition .htUIInput input, .handsontable .htFiltersMenuValue .htUIMultipleSelectSearch input {
    box-sizing: border-box !important;
    font-family: inherit !important;
    font-size: 0.9em !important;
    padding: 0px 0px 0px 4px !important;
    width: 100% !important;
}

.handsontable .htUIInput.htUIButton input {
    line-height: normal !important;
    font-size: 0.85em !important;
    font-weight: 700 !important;
}

.htFiltersConditionsMenu table tbody tr td {
    padding: 0px 0px 0px 0px !important;
    margin: 0px 0px 0px 0px !important;
    border: 1px solid groove !important;
}

.handsontable .changeType {
    margin: 8px 1px 0 5px !important;
}

.handsontable thead th .relative {
    font-weight: 500 !important;
    font-size: .85rem !important;
}

.handsontable td {
    font-size: 0.87rem !important;
}

.htDropdownMenu table tbody tr td .htItemWrapper, [dir=rtl].htDropdownMenu table tbody tr td .htItemWrapper {
    margin-left: 19px !important;
}

.ht_master:not(.innerBorderTop):not(.innerBorderBottom) ~ .handsontable thead tr:last-child th {
    padding: 0px !important;
    margin: 0px !important;
}

.app-header {
    background: var(--bs-theam-nav-bg);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
}

/*.app-sidebar {
    background: var(--bs-app-app-sidebar-bg);
    box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
}*/

body {
    background-color: var(--bs-theam-body-color);
}

.panel {
    box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
    display: flex;
}
.app-header .navbar-nav .navbar-item .navbar-link {
    color: var(--bs-theam-body-color);
}
.handsontable td, .handsontable th {
    background-color: var(--bs-theam-body-color);
}
.panel .panel-heading .panel-title {
    font-size: .89rem !important;
}
/*.handsontable thead th {
    border: 1px solid #ccc !important;
}*/
.app-header .navbar-brand {
    font-size: 15px;
    margin-right: 17px !important;
    color: var(--bs-theam-body-color);
}

@media (min-width:576px) {
    .app-header .navbar-brand {
        margin-right: 20px !important;
        color: var(--bs-theam-body-color);
    }
}

@media (min-width: 768px) {
    .app-header .navbar-brand {
        margin-right: 20px !important;
        color: var(--bs-theam-body-color);
    }
}
.app-header .navbar-brand .navbar-logo {
    /*margin-right: 4px;*/
    margin: 0px 0px 0px -15px !important;
}
    /*@media (min-width:992px) {
    .app-header .navbar-brand {
        margin-right: 40px !important;
        color: var(--bs-theam-body-color);
    }
}*/

    .btn-primary {
    --bs-btn-color: #f3f8fd;
    --bs-btn-bg: #348fe2;
    --bs-btn-border-color: #348fe2;
    --bs-btn-disabled-bg: #348fe2;
    --bs-btn-hover-bg: #1f65a4;
    --bs-btn-disabled-border-color: #f3f8fd;
}
.btn-danger {
    --bs-btn-color: #f3f8fd;
    --bs-btn-bg: red;
    --bs-btn-border-color: red;
    --bs-btn-disabled-bg: red;
    --bs-btn-hover-bg: red;
    --bs-btn-disabled-border-color: #f3f8fd;
}
.modal .modal-header {
    background-color: var(--bs-theam-nav-bg);
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    color: var(--bs-theam-body-color);
}


:root, [data-bs-theme=light] {
    --bs-theam-nav-bg: #2f4f6f !important;
    --bs-theam-body-color: #ffffff !important;
   /* --bs-app-app-sidebar-bg: #ced4da !important;
    --bs-app-sidebar-menu-link-color: #250c0c !important;
    --bs-app-sidebar-menu-submenu-link-color: #000000 !important;
    --bs-pos-sidebar-header-nav-link-active-color: #000000 !important;
    --bs-pos-sidebar-header-color: #000000 !important;
    --bs-app-sidebar-component-color: #000000 !important;
    --bs-app-sidebar-menu-submenu-link-hover-color: #0033ee !important;
    --bs-app-sidebar-menu-link-hover-color: #0033ee !important;*/
    --bs-body-font-size: 0.85rem !important;
    --bs-body-table-head-color: #ffffff !important;
  /*  --bs-app-sidebar-component-active-bg: #2f4f6f;
    --bs-app-sidebar-component-color: #0033ee !important;*/
}

[data-bs-theme=dark] {
    --bs-theam-nav-bg: #2f4f6f !important;
    /*--bs-theam-nav-bg: #161a1d !important;*/
    --bs-theam-body-color: #ffffff !important;
    /*--bs-app-app-sidebar-bg: #ffffff !important;
    --bs-app-sidebar-menu-link-color: #250c0c !important;
    --bs-app-sidebar-menu-submenu-link-color: #000000 !important;
    --bs-pos-sidebar-header-nav-link-active-color: #000000 !important;
    --bs-pos-sidebar-header-color: #000000 !important;
    --bs-app-sidebar-component-color: #000000 !important;
    --bs-app-sidebar-menu-submenu-link-hover-color: #0033ee !important;
    --bs-app-sidebar-menu-link-hover-color: #0033ee !important;*/
    --bs-body-font-size: 0.85rem !important;
    --bs-body-table-head-color: #ffffff !important;
  /*  --bs-app-sidebar-component-active-bg: #2f4f6f;
    --bs-app-sidebar-component-color: #0033ee !important;*/
    /*--bs-app-app-sidebar-bg: #0e4883 !important;*/
}

:root, [data-bs-theme=light] {
    --bs-default: #e9ecef;
    --bs-primary: #348fe2;
    --bs-secondary: #6c757d;
    --bs-success: #00acac;
    --bs-info: #49b6d6;
    --bs-warning: #f59c1a;
    --bs-danger: #ff5b57;
    --bs-light: #f2f3f4;
    --bs-dark: #2d353c;
    --bs-inverse: #2d353c;
    --bs-blue: #348fe2;
    --bs-indigo: #8753de;
    --bs-purple: #727cb6;
    --bs-pink: #fb5597;
    --bs-red: #ff5b57;
    --bs-orange: #f59c1a;
    --bs-yellow: #ffd900;
    --bs-green: #32a932;
    --bs-teal: #00acac;
    --bs-lime: #90ca4b;
    --bs-cyan: #49b6d6;
    --bs-white: #FFFFFF;
    --bs-gray: #6c757d;
    --bs-gray-dark: #2d353c;
    --bs-muted: #adb5bd;
    --bs-black: #000000;
    --bs-silver: #b6c2c9;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #2d353c;
    --bs-gray-900: #20252a;
    --bs-default-rgb: 233, 236, 239;
    --bs-primary-rgb: 52, 143, 226;
    --bs-secondary-rgb: 108, 117, 125;
    --bs-success-rgb: 0, 172, 172;
    --bs-info-rgb: 73, 182, 214;
    --bs-warning-rgb: 245, 156, 26;
    --bs-danger-rgb: 255, 91, 87;
    --bs-light-rgb: 242, 243, 244;
    --bs-dark-rgb: 45, 53, 60;
    --bs-inverse-rgb: 45, 53, 60;
    --bs-blue-rgb: 52, 143, 226;
    --bs-indigo-rgb: 135, 83, 222;
    --bs-purple-rgb: 114, 124, 182;
    --bs-pink-rgb: 251, 85, 151;
    --bs-red-rgb: 255, 91, 87;
    --bs-orange-rgb: 245, 156, 26;
    --bs-yellow-rgb: 255, 217, 0;
    --bs-green-rgb: 50, 169, 50;
    --bs-teal-rgb: 0, 172, 172;
    --bs-lime-rgb: 144, 202, 75;
    --bs-cyan-rgb: 73, 182, 214;
    --bs-white-rgb: 255, 255, 255;
    --bs-gray-rgb: 108, 117, 125;
    --bs-gray-dark-rgb: 45, 53, 60;
    --bs-muted-rgb: 173, 181, 189;
    --bs-black-rgb: 0, 0, 0;
    --bs-silver-rgb: 182, 194, 201;
    --bs-gray-100-rgb: 248, 249, 250;
    --bs-gray-200-rgb: 233, 236, 239;
    --bs-gray-300-rgb: 222, 226, 230;
    --bs-gray-400-rgb: 206, 212, 218;
    --bs-gray-500-rgb: 173, 181, 189;
    --bs-gray-600-rgb: 108, 117, 125;
    --bs-gray-700-rgb: 73, 80, 87;
    --bs-gray-800-rgb: 45, 53, 60;
    --bs-gray-900-rgb: 32, 37, 42;
    --bs-primary-text-emphasis: #15395a;
    --bs-secondary-text-emphasis: #2b2f32;
    --bs-success-text-emphasis: #004545;
    --bs-info-text-emphasis: #1d4956;
    --bs-warning-text-emphasis: #623e0a;
    --bs-danger-text-emphasis: #662423;
    --bs-light-text-emphasis: #495057;
    --bs-dark-text-emphasis: #495057;
    --bs-primary-bg-subtle: #d6e9f9;
    --bs-secondary-bg-subtle: #e2e3e5;
    --bs-success-bg-subtle: #cceeee;
    --bs-info-bg-subtle: #dbf0f7;
    --bs-warning-bg-subtle: #fdebd1;
    --bs-danger-bg-subtle: #ffdedd;
    --bs-light-bg-subtle: #fcfcfd;
    --bs-dark-bg-subtle: #ced4da;
    --bs-primary-border-subtle: #aed2f3;
    --bs-secondary-border-subtle: #c4c8cb;
    --bs-success-border-subtle: #99dede;
    --bs-info-border-subtle: #b6e2ef;
    --bs-warning-border-subtle: #fbd7a3;
    --bs-danger-border-subtle: #ffbdbc;
    --bs-light-border-subtle: #e9ecef;
    --bs-dark-border-subtle: #adb5bd;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-font-sans-serif: "Open Sans", sans-serif;
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 0.75rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #2d353c;
    --bs-body-color-rgb: 45, 53, 60;
    --bs-body-bg: #dee2e6;
    --bs-body-bg-rgb: 222, 226, 230;
    --bs-emphasis-color: #000000;
    --bs-emphasis-color-rgb: 0, 0, 0;
    --bs-secondary-color: rgba(45, 53, 60, 0.75);
    --bs-secondary-color-rgb: 45, 53, 60;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233, 236, 239;
    --bs-tertiary-color: rgba(45, 53, 60, 0.5);
    --bs-tertiary-color-rgb: 45, 53, 60;
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248, 249, 250;
    --bs-heading-color: inherit;
    --bs-link-color: #348fe2;
    --bs-link-color-rgb: 52, 143, 226;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #2a72b5;
    --bs-link-hover-color-rgb: 42, 114, 181;
    --bs-code-color: #f90a69;
    --bs-highlight-color: #2d353c;
    --bs-highlight-bg: #fff7cc;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #ced4da;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 4px;
    --bs-border-radius-sm: 3px;
    --bs-border-radius-lg: 6px;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(52, 143, 226, 0.25);
    --bs-form-valid-color: #00acac;
    --bs-form-valid-border-color: #00acac;
    --bs-form-invalid-color: #ff5b57;
    --bs-form-invalid-border-color: #ff5b57;
}
[data-bs-theme=dark] {
    --bs-app-sidebar-bg: #2d353c;
    --bs-app-sidebar-bg-rgb: 45, 53, 60;
    --bs-app-sidebar-profile-bg: #20252a;
    --bs-app-sidebar-profile-bg-rgb: 32, 37, 42;
    --bs-app-sidebar-profile-color: #FFFFFF;
    --bs-app-sidebar-profile-color-rgb: 255, 255, 255;
    --bs-app-sidebar-component-color: #FFFFFF;
    --bs-app-sidebar-component-color-rgb: 255, 255, 255;
    --bs-app-sidebar-component-active-bg: #20252a;
    --bs-app-sidebar-component-active-color: #FFFFFF;
    --bs-app-sidebar-menu-header-color: rgba(255, 255, 255, 0.45);
    --bs-app-sidebar-menu-divider-bg: #20252a;
    --bs-app-sidebar-menu-icon-color: inherit;
    --bs-app-sidebar-menu-badge-bg: #20252a;
    --bs-app-sidebar-menu-badge-color: #FFFFFF;
    --bs-app-sidebar-menu-badge-font-weight: 400;
    --bs-app-sidebar-menu-link-font-weight: 400;
    --bs-app-sidebar-menu-link-color: rgba(255, 255, 255, 0.6);
    --bs-app-sidebar-menu-link-hover-color: #FFFFFF;
    --bs-app-sidebar-menu-submenu-bg: none;
    --bs-app-sidebar-menu-submenu-link-color: rgba(255, 255, 255, 0.45);
    --bs-app-sidebar-menu-submenu-link-hover-color: #FFFFFF;
    --bs-app-sidebar-menu-submenu-link-font-weight: 400;
    --bs-app-sidebar-menu-grid-bg: #20252a;
    --bs-app-sidebar-menu-grid-border-width: 1px;
    --bs-app-sidebar-menu-grid-border-color: rgba(255, 255, 255, 0.6);
    --bs-app-sidebar-grid-border-color: #3d4852;
    --bs-app-sidebar-float-submenu-bg: #20252a;
    --bs-app-sidebar-float-submenu-grid-border-color: #2d353c;
    --bs-app-sidebar-minify-btn-bg: #242b30;
    --bs-app-sidebar-minify-btn-hover-bg: #20252a;
    
}
.SpColor {
    color: red;
}

.SumoSelect.parsley-error .CaptionCont {
    border: 1px solid #da0500 !important;
    background-color: transparent !important;
}

.SumoSelect.parsley-success .CaptionCont {
    background-color: transparent !important;
    border-color: #00acac !important;
    color: var(--bs-component-color) !important
}

    .SumoSelect.parsley-success .CaptionCont:focus {
        border-color: #00acac !important;
        border-radius: 5px !important;
        outline: 0;
        box-shadow: 0 0 0 .1rem rgba(0,172,172,.3) !important
    }

.tab-overflow .nav.nav-tabs > li {
    background-color: #2f4f6f;
    border: 0px solid #2f4f6f;
    display: table-cell;
    float: none;
}

.app-header .navbar-brand img {
    border: 1px solid #372f83 !important;
}

.month-picker-previous .ui-state-disabled {
    pointer-events: auto !important;
    opacity: 1 !important;
}

.month-picker-year-table .ui-button {
    font-size: 1.1em;
    width: fit-content !important;
    height: 1.8em !important;
    cursor: default;
    margin: 0;
}

.month-picker-year-table .month-picker-title .ui-button {
    padding: 4px !important;
}



.app-sidebar-fixed .app-sidebar {
    position: fixed;
}

.app-sidebar-minified:not(.app-without-sidebar) .app-sidebar:not(.app-sidebar-end) {
    width: 60px;
}

.app-sidebar .app-sidebar-minify-btn {
    margin: 10px 0;
    padding: 5px 20px 5px 10px !important;
    background: var(--bs-app-sidebar-minify-btn-bg);
    color: var(--bs-app-sidebar-component-color);
    border-radius: 20px 0 0 20px;
}

.app-sidebar-bg {
    background: var(--bs-app-sidebar-bg);
    position: initial;
    top: 0;
    left: 0;
    bottom: 0;
    width: 220px;
    z-index: 1000;
}

a.app-sidebar-minify-btn.ms-auto.d-flex.align-items-center.text-decoration-none {
    color: white !important;
}

.app-content {
    margin-left: 220px !important;
    padding: 20px 30px;
}
@media (max-width: 767.98px) {
    .app-content {
        margin-left: 0px !important;
        padding: 20px 20px;
    }
    .PageMin {
        margin-left: 0px !important;
        padding: 20px 30px;
    }
}
@media (min-width: 768px) {
    .app-sidebar-minified:not(.app-without-sidebar) .app-content {
        margin-left: 60px;
    }


    /* Sidebar hidden */
    .app-sidebar-mobile-toggled .app-sidebar {
        left: -225px;
        animation: appSidebarMobileSlideOut 0.2s ease;
    }

    /* Sidebar visible */
    .app-sidebar-fixed .app-sidebar {
        left: 0;
        animation: appSidebarMobileSlideIn 0.2s ease;
    }

    /* Example animations */
    @keyframes appSidebarMobileSlideIn {
        from {
            transform: translateX(-100%);
        }

        to {
            transform: translateX(0);
        }
    }

    @keyframes appSidebarMobileSlideOut {
        from {
            transform: translateX(0);
        }

        to {
            transform: translateX(-100%);
        }
    }
}

@media (max-width: 767.98px) {
    .app-header .navbar-brand {
        margin-right: 185px !important;
        padding: 20px !important;
    }

    .app-header .navbar-brand {
        font-size: 15px !important;
    }
}

.PageMin {
    margin-left: 50px !important;
    padding: 20px 30px;
}
/*  .Pagemax {
        margin-left: 220px;
        padding: 20px 30px
    }*/

/*[data-bs-theme=dark] {
    --bs-app-sidebar-menu-submenu-link-color: rgb(0 0 0 / 83%);
    --bs-app-sidebar-menu-link-color: rgb(1 1 1 / 60%);
    --bs-app-sidebar-menu-link-hover-color: #000000;
}*/
/*span.input-group-text {
    border-radius: 0px;
}*/
/*.handsontable th {
    font-size: 15px !important;
   font-weight:500 !important;
}
.handsontable td, .handsontable th {
    font-size: 15px !important;
    line-height: 30px !important;
  
    padding: 3px 3px 3px 5px;
    border: 1px solid #ced4da;
}
.handsontable tr {
    border-right: 1px solid #ced4da;
    background: #fff;
    font-size: 15px !important;
}
.handsontable .changeType {
        margin: 8px 1px 0 5px;
    margin: 8px 2px 8px 2px !important;
}*/



